Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11Key

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Key

Direct Known Subclasses:
  PK11PrivKey, PK11PubKey

abstract class PK11Key
extends java.lang.Object

Field Summary
`protected KeyProxy` | `keyProxy`

Constructor Summary
`protected` | `PK11Key()`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()` Unimplemented way of getting a standard encoding of the key.
`java.lang.String` | `getFormat()` Unimplemented way of getting standard encoding format of the key.
`private void` | `readObject(java.io.ObjectInputStream in)`
`private void` | `writeObject(java.io.ObjectOutputStream out)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### keyProxy

    protected KeyProxy keyProxy

Constructor Detail

### PK11Key

    protected PK11Key()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

### getEncoded

    public byte[] getEncoded()

  Unimplemented way of getting a standard encoding of the key. Use a key factory instead.

### getFormat

    public java.lang.String getFormat()

  Unimplemented way of getting standard encoding format of the key. Use a key factory instead.

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD